xml

## Class XMLChildElementsExtractor

- java.lang.Object
- - xml.XMLChildElementsExtractor

-     public class XMLChildElementsExtractor
      extends java.lang.Object

  Given an XML document text, and an element name or set of element names, an instance of this class extracts all occurrences of the named element(s) as children of the document element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLChildElementsExtractor(java.lang.String xmldoc, java.lang.String[] elnames, boolean validate, CleanerEntityResolver rslvr)` Constructs a new extractor for the given XML document text and given set of element names, using a validating or non-validating XML parser as specified, and using the given entity resolver.
    `XMLChildElementsExtractor(java.lang.String xmldoc, java.lang.String[] elnames, CleanerEntityResolver rslvr)` Constructs a new extractor for the given XML document text and given set of element names, using a validating XML parser and the given entity resolver.
    `XMLChildElementsExtractor(java.lang.String xmldoc, java.lang.String elnm, boolean validate, CleanerEntityResolver rslvr)` Constructs a new extractor for the given XML document text and the single given element name, using a validating or non-validating XML parser as specified, and using the given entity resolver.
    `XMLChildElementsExtractor(java.lang.String xmldoc, java.lang.String elnm, CleanerEntityResolver rslvr)` Constructs a new extractor for the given XML document text and the single given element name, using a validating XML parser, and the given entity resolver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getElementStrings()` Returns the extracted element sequence as an array of strings, one per element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLChildElementsExtractor

          public XMLChildElementsExtractor(java.lang.String xmldoc,
                                           java.lang.String elnm,
                                           CleanerEntityResolver rslvr)

      Constructs a new extractor for the given XML document text and the single given element name, using a validating XML parser, and the given entity resolver.

    - #### XMLChildElementsExtractor

          public XMLChildElementsExtractor(java.lang.String xmldoc,
                                           java.lang.String elnm,
                                           boolean validate,
                                           CleanerEntityResolver rslvr)

      Constructs a new extractor for the given XML document text and the single given element name, using a validating or non-validating XML parser as specified, and using the given entity resolver.

    - #### XMLChildElementsExtractor

          public XMLChildElementsExtractor(java.lang.String xmldoc,
                                           java.lang.String[] elnames,
                                           CleanerEntityResolver rslvr)

      Constructs a new extractor for the given XML document text and given set of element names, using a validating XML parser and the given entity resolver.

    - #### XMLChildElementsExtractor

          public XMLChildElementsExtractor(java.lang.String xmldoc,
                                           java.lang.String[] elnames,
                                           boolean validate,
                                           CleanerEntityResolver rslvr)

      Constructs a new extractor for the given XML document text and given set of element names, using a validating or non-validating XML parser as specified, and using the given entity resolver.

  - ### Method Detail

    - #### getElementStrings

          public java.lang.String[] getElementStrings()

      Returns the extracted element sequence as an array of strings, one per element.